<?
//
//
require_once($_SERVER['DOCUMENT_ROOT']."/jquery/inc/system.php"); 
//
//
if(!$user){
header('location:/login/');
exit();
}
//
//
head([]);
//
//
echo logs();
//
//
if(isset($_GET['complete'])){
$id = num($_GET['complete']);
//
//
$quest = DB::$dbs->queryFetch("SELECT * FROM `titul_user` WHERE `id` = ? LIMIT 1", array($id)); 
$q = DB::$dbs->queryFetch("SELECT * FROM `titul` WHERE `id` = ? LIMIT 1", array($quest['id_titul'])); 
//
//
if($quest['coll'] >= $quest['max_coll']){
//
//
DB::$dbs->query("UPDATE `users` SET `titul` = ? WHERE `id` = ? LIMIT 1", array($q['name'],$user['id']));
//
//
ok2("Титул установлен!");
//
header('Location: ?');
exit();
}else{
header('Location: ?');
exit();
}
}
?>
<div class="poster -gas">
		    <div class="start">
		        <center>
		            <span class="title-wqi">Мои титулы</span>
		        </center>
<?
//
//
$sql = DB::$dbs->query("SELECT * FROM `titul_user` WHERE `id_user` = '".$user['id']."' ORDER BY `id_titul` ASC");
//
foreach ($sql as $sqlls => $im){
//
$quest = DB::$dbs->queryFetch("SELECT * FROM `titul` WHERE `id` = ? LIMIT 1", array($im['id_titul']));  
//
echo '<div class="menu-not2">';
//
//
?>
<? echo $quest['name']; ?>
<span style="float: right;">
<font color="#777777">
<? if($im['coll'] >= $quest['coll']) echo "".$quest['coll']." из ".$quest['coll'].""; else echo "".$im['coll']." из ".$quest['coll'].""; 
?>
</font>
</span>
<br>
<font color="#777777">
<?=$quest['text']; ?> 
</font>
<br>
<div class="stat-e">
<div class="stat-e2" style="width: <? echo ''.round($im['coll']/$quest['coll']*100,1).''; ?>%">
</div>
</div>
</div>
<?
if($im['coll'] >= $quest['coll']){
?>
<a href="?complete=<?=$im['id']; ?>"><div class="click">Установить титул</div></a>
<div class="stats2"></div>
<?
}
?>
<?
}
//
//
?>
</div>
</div>
<?
//
//
foot([]);
?>